Cyberduck Mountain Duck CLI

#6863 closed defect (worksforme)

Regular crashes with Exited abnormally: Broken pipe on uploads

Reported by: blacktrash Owned by: dkocher
Priority: normal Milestone: 4.3
Component: core Version: Nightly Build
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.5

Description

Cyberduck works great! ... as long as it works :-( Unfortunately it crashes extremley often, mainly just before finishing an upload or when invoking or working with the file info.

I am currently only using it for AWS S3.

After that the log is empty.

I have tons of messages in the Console log like this one:

Stack: (0x95bf0f4f 0x95afd432 0x2d032e9d 0x2d032c9e 0x2d02a814 0x2d02ae32 0x43aa2ea 0x43bd54c 0x430f2dc 0x43ba900 0x439ca38 0x43b9f84 0x43b9740 0x444c528 0x4372370 0x430f168 0x43ba900 0x439ca38 0x43b9f84 0x43b9740 0x43c4efc 0x43c54fc 0x43b8d74 0x4254dc0) 

And then:

9/18/12 8:57:49 AM com.apple.launchd[80] ([0x0-0x1e21e2].ch.sudo.cyberduck[41422]) Exited abnormally: Broken pipe 

I also cannot try the snapshot:

9/18/12 11:29:52 AM Cyberduck[56095] Sparkle Error: An error occurred while downloading the update. Please try again later. 
9/18/12 11:29:52 AM Cyberduck[56095] Sparkle Error (continued): file doesn’t exist 
9/18/12 11:29:52 AM Cyberduck[56095] Sparkle Error (continued): file doesn’t exist 

Let me know if you need a debug log.

Attachments (1)

cyberduck.log.tar.bz2 (26.2 KB) - added by blacktrash on Sep 18, 2012 at 5:35:55 PM.

Download all attachments as: .zip

Change History (27)

comment:1 Changed on Sep 18, 2012 at 5:35:30 PM by blacktrash

I'll attach a cyberduck filtered debug console log - almost always a silent "crash" after an upload.

Changed on Sep 18, 2012 at 5:35:55 PM by blacktrash

comment:2 Changed on Sep 19, 2012 at 11:35:28 AM by blacktrash

Observations: seems to be happening (mostly) when I don't close the transfer window and do something else like setting permissions, or start a new transfer without closing the transfer window beforehand.

comment:3 Changed on Sep 20, 2012 at 2:04:16 PM by blacktrash

It would be nice to have this but at least acknowledged in some way. I am also willing to provide further info if needed.

btw, I gave a donation (under a different email address /blacktrash/ /at/ /gmx/ /dot/ /org/), so a quick short answer is appreciated while I have to return to the aws console - hopefully only for the time being.

comment:4 Changed on Sep 24, 2012 at 3:17:41 PM by dkocher

Please update to the latest snapshot build (again) available.

comment:5 Changed on Sep 24, 2012 at 3:18:19 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to worksforme
  • Status changed from new to closed

Please reopen this ticket if the issue persists when running the snapshot build.

comment:6 Changed on Sep 24, 2012 at 4:13:29 PM by blacktrash

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Thanks.

Unfortunately with the snapshot. I am stuck in a vicious crash - offer of notification - relaunch circle. I can't even test it.

I trashed all preferences, reinstalled 4.2.1, licensed it, installed snapshot - vicious circle again.

comment:7 follow-up: Changed on Sep 26, 2012 at 6:25:14 PM by blacktrash

I remember the symptoms from an application which was not backwards compatible with MacOS 10.5.8 (Leopard) - could that be the case for the snapshot too?

comment:8 in reply to: ↑ 7 Changed on Sep 26, 2012 at 6:46:00 PM by dkocher

Replying to blacktrash:

I remember the symptoms from an application which was not backwards compatible with MacOS 10.5.8 (Leopard) - could that be the case for the snapshot too?

That could be. I will have to find a 10.5 installation do test.

comment:9 follow-up: Changed on Oct 1, 2012 at 9:26:46 PM by dkocher

Fixed Java 5 interoperability in r9785.

comment:10 in reply to: ↑ 9 Changed on Oct 5, 2012 at 12:01:31 AM by blacktrash

Replying to dkocher:

Fixed Java 5 interoperability in r9785.

That seems to do the trick so far. Thanks. I did not have the opportunity to do some thorough testing, but if anything comes up, I just come back here ;-)

comment:11 follow-ups: Changed on Oct 5, 2012 at 9:21:22 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Thanks for the feedback. I will do some more testing on 10.5 but will close this in the meantime.

comment:12 in reply to: ↑ 11 Changed on Oct 6, 2012 at 11:46:14 PM by blacktrash

Replying to dkocher:

Thanks for the feedback. I will do some more testing on 10.5 but will close this in the meantime.

Unfortunately it just happened again. Once after an upload, and once after file info. The upload seems to have completed (video seems undamaged), but the upload window shows 0 kb transferred, transfer incomplete, which is definitely wrong. Right now I simply don't have time to debug further, so leaving it at that.

comment:13 in reply to: ↑ 11 ; follow-up: Changed on Nov 1, 2012 at 8:31:56 AM by blacktrash

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 4.2.1 to Nightly Build

Replying to dkocher:

Thanks for the feedback. I will do some more testing on 10.5 but will close this in the meantime.

I'm still experiencing crashes unfortunately. Not always, but sometimes. It _seems_ to be related to overwriting files. I tried turning the confirmation dialogue off, but that did not seem to help either. Will now switch back to debug mode to hopefully get a crash log.

comment:14 in reply to: ↑ 13 Changed on Nov 19, 2012 at 6:25:23 AM by blacktrash

Replying to blacktrash:

I'm still experiencing crashes unfortunately. Not always, but sometimes. It _seems_ to be related to overwriting files. I tried turning the confirmation dialogue off, but that did not seem to help either. Will now switch back to debug mode to hopefully get a crash log.

In case you're still listening, yes, I can confirm that the crashes always happen when overwriting. Just checked with latest nightly build 4.2.2 (10582).

comment:15 Changed on Nov 27, 2012 at 2:54:50 PM by dkocher

  • Summary changed from Crashes on MacOS 10.5.8 to Regular crashes with Exited abnormally: Broken pipe on uploads

comment:16 Changed on Nov 27, 2012 at 2:55:21 PM by dkocher

#6328 closed as duplicate.

comment:17 Changed on Nov 27, 2012 at 4:09:43 PM by dkocher

  • Owner set to dkocher
  • Status changed from reopened to new

comment:18 Changed on Nov 27, 2012 at 4:09:50 PM by dkocher

  • Status changed from new to assigned

comment:19 Changed on Apr 15, 2013 at 12:22:22 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

I can no longer reproduce this issue with the latest snapshot build available.

comment:20 follow-ups: Changed on Apr 17, 2013 at 11:07:03 AM by blacktrash

Good that it works for you ;-) For me Version 4.3 (10863) just crashed yet again after an upload. imho MacOS 10.5.8 is not supported.

comment:21 in reply to: ↑ 20 Changed on Apr 17, 2013 at 11:50:25 AM by dkocher

Replying to blacktrash:

Good that it works for you ;-) For me Version 4.3 (10863) just crashed yet again after an upload.

Is this for S3 as reported originally?

imho MacOS 10.5.8 is not supported.

We will drop support for 10.5 in the next major release.

comment:22 in reply to: ↑ 20 Changed on Apr 17, 2013 at 11:50:48 AM by dkocher

Replying to blacktrash:

Good that it works for you ;-) For me Version 4.3 (10863) just crashed yet again after an upload. imho MacOS 10.5.8 is not supported.

Please post the crash report.

comment:23 Changed on Apr 24, 2013 at 9:47:17 PM by blacktrash

There are no cyberduck logs at ~/Library/Logs/CrashReporter, that's the point, it's all silent. In spite of:

defaults read ch.sudo.cyberduck logging
debug

comment:24 follow-up: Changed on Apr 24, 2013 at 9:59:48 PM by blacktrash

Currently a 100% reliable way to make it crash is to try to edit metadata in the info window. Not possible. - Yes, that's all for S3.

comment:25 in reply to: ↑ 24 Changed on Apr 25, 2013 at 12:18:09 PM by dkocher

Replying to blacktrash:

Currently a 100% reliable way to make it crash is to try to edit metadata in the info window. Not possible. - Yes, that's all for S3.

I cannot replicate this crash when editing metadata for a file in S3. Can you test with a different OS X user account.

comment:26 Changed on Apr 30, 2013 at 11:59:50 AM by dkocher

#6863 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software